"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setQuiet = exports.quiet = exports.setResultSummaryType = exports.resultSummaryType = exports.ResultSummaryType = void 0;

/** Type of result summary display. */
exports.ResultSummaryType = {
  Tree: "tree",
  List: "list",
};
exports.resultSummaryType = exports.ResultSummaryType.Tree;

/** Sets the type of result summary display. Set `null` for disabling. */
const setResultSummaryType = (type) => {
  exports.resultSummaryType = type;
};
exports.setResultSummaryType = setResultSummaryType;
exports.quiet = false;

/** Suppress log messages. */
const setQuiet = (yes = true) => {
  exports.quiet = yes;
};
exports.setQuiet = setQuiet;
