/// <reference types="node" />
import { Command } from "../types";

/**
 * Creates a `Command` that edits a file by `readFile()` and `writeFile()`.
 * Does not use `stream` so not suited for huge files.
 */
export declare const editFile: (
  path: string,
  convert: (data: string) => string,
  encoding?: BufferEncoding
) => Command;
