import { Command } from "../types";

/** `Command` that runs a single command line. */
interface LineCommand extends Command {
  readonly line: string;
}

/** Creates a `Command` unit. */
export declare const cmd: (command: string, ...args: string[]) => LineCommand;
export {};
