import { Command, Event, Result } from "../types";

/**
 * Runs any `command` in a `try-catch` block.
 */
export declare const run: (
  command: Command,
  onEvent?: ((command: Command, event: Event) => any) | undefined,
  onSuccessAll?: (() => any) | undefined,
  onFailureAny?: (() => any) | undefined
) => Promise<Result>;
