/** Type of result summary display. */
export declare const ResultSummaryType: {
  readonly Tree: "tree";
  readonly List: "list";
};
export declare type ResultSummaryType = typeof ResultSummaryType[keyof typeof ResultSummaryType];
export declare let resultSummaryType: ResultSummaryType | null;

/** Sets the type of result summary display. Set `null` for disabling. */
export declare const setResultSummaryType: (
  type: ResultSummaryType | null
) => void;
export declare let quiet: boolean;

/** Suppress log messages. */
export declare const setQuiet: (yes?: boolean) => void;
